<div class="container">
  <h1 class="text-center">Problem Set 3</h1>
  <hr/>
  <section id="overview">
    <h3 class="text-center">Tele-health Consulting System for Covid-19 response</h3>
    <p class="text-center">
      <%= image_tag 'work_flow.png', alt: "Tele-health Consulting System for Covid-19 Response", class: 'img-responsive', width: 700, height: 500 %>
    </p>

    <div>
      <h5>Objective</h5>
      <p>To assist tele-health consulting call center for Covid-19 with web technologies to be able to provide better and effective covid-19 responses.</p>
    </div>
    <div>
      <h5>Overview of current system</h5>
      <p class="text-justify">
        When Covid-19 patient or patient family member calls to call center, the reception receive the call.
        The receptionist take information about patient, symptoms, and their family condition.
        Then these information are hand-over to medical officer, who is experienced nurse.
        The medical officer view the patient conditions and decide whether patient need to refer to doctor and whether the patient need equipments such as oxygen cylinder, concentrators, etc.
        For minor cases, the medical officer give treatment instruction to patient.
        Otherwise, the medical officer refer the patient to doctor, who will give treatment instruction according to patient condition.
        For complicated or special case, doctor consult the specialist doctors.
        When medical officer or doctors decided that the patient need equipment support, they contact to team leader.
        Team leader manage the waiting list of patient who want to rent the equipments.
        Team leader also manage the inventory of the equipments and collaborate with oxygen provider/ equipment provider to provide needed equipments.
      </p>
    </div>
  </section>
  <hr/>
  <section>
    <div class="question question-1 card">
      <div class="card-body">
        <h4 class="card-title">1. If you are automating some collaborative workflow, what work will people accomplish with your system?</h4>
        <p>People will accomplish to</p>
        <ul>
          <li>Store patient information in centralized database.</li>
          <li>Make appointment to doctors for consultation.</li>
          <li>View patient information in real time.</li>
          <li>Store treatment instruction in centralized database.</li>
          <li>Check and manage equipment inventory</li>
          <li>Manage patient waiting list for medical equipments.</li>
          <li>Share patient data for collaboration with other NGOs or charity.</li>
          <li>Make report from collected patient data and treatments.</li>
        </ul>
      </div>
    </div>

    <br>

    <div class="question question-2 card">
      <div class="card-body">
        <h4 class="card-title">2. What do you want people to say about your service after a visit?</h4>
        <p>We would like people to say</p>
        <ul>
          <li>Helpful</li>
          <li>Easy to use</li>
          <li>Useful for collaboration</li>
        </ul>
      </div>
    </div>

    <br/>

    <div class="question question-3 card">
      <div class="card-body">
        <h4 class="card-title">3. What are the relevant distinct user classes?</h4>
        <p>The relevant distinct user classes are: </p>
        <ul>
          <li>Receptionist</li>
          <li>Medical Officer</li>
          <li>Doctor / Specialist doctor</li>
          <li>Team Leader</li>
        </ul>
      </div>
    </div>

    <br/>


    <div class="question question-4 card">
      <div class="card-body">
        <h4 class="card-title">4. What should a user on a smartphone be able to do?</h4>
        <p>User such as doctors / specialist doctors, medical officers and team leader will have mobile interface.</p>
        <p>Reception will not have mobile interface as the he/she will stay in call center and take calls from patients.</p>
        <br/>
        <p>On smartphone</p>
        <ul>
          <li>
            <p>Doctor will able to</p>
            <ul>
              <li>view patient record.</li>
              <li>enter treatment instructions.</li>
              <li>request equipment for patient if needed.</li>
            </ul>
          </li>
          <li>
            <p>Medical officer will able to</p>
            <ul>
              <li>view patient record.</li>
              <li>enter treatment instructions.</li>
              <li>refer patient to doctor.</li>
              <li>request equipment for patient if needed.</li>
            </ul>
          </li>
          <li>
            <p>Team Leader will able to</p>
            <ul>
              <li>check inventory of equipment.</li>
              <li>verify patient National Registration Card(NRC) and Household registration.</li>
              <li>manage patient waiting list for equipments.</li>
              <li>order oxygen provider / equipment provider when inventory is low.</li>
            </ul>
          </li>
        </ul>
      </div>
    </div>

    <br/>

  </section>

  <hr/>

  <section>
    <h3>User Profiles and Usage Scenario</h3>
    <ul>
      <li><%= link_to 'Reception', ps3_reception_path %></li>
      <li><%= link_to 'Medical Officer', ps3_medical_officer_path %></li>
      <li><%= link_to 'Doctor', ps3_doctor_path %></li>
      <li><%= link_to 'Team Leader', ps3_team_leader_path %></li>
    </ul>

    <p>Note:</p>
    <p><em>National Registration Card (NRC)</em> is an identification card for every citizen in Myanmar.</p>
    <p><em>Household Registration</em> is an official document that contain information about members of a family.</p>
  </section>

  <hr/>

 
  <section>
    <h3>Evaluate offline alternatives</h3>
    <p>It is better to use online application instead of offline services because this online tele consultation system helps in automating the process. 
    This in turn helps the receptionist, medical officers and doctors to check the information using the system.</p>
    <p> This helps in reducing the manual errors while entering the data. </p>
    <p>  It helps in speeding up the process of consultation service as the workflow is automated all the users can use the application to know the details of the patients,
     doctors their available hours and doctors can see the patients data and just give an approval for the appointment with a message. </p>
    <br/>
    <p> In manual system, as the humans need to do a phone call and maintain the patients data, it is not convenient for them to store large data and make reports indicating how many people are severely affected, 
      how many people are affected due to strain 1, which gender and age group are mostly effected, in which there are several cases and many such intresting reports.</p>
    <p> Using offline system, it is even difficult to provide the services for a large number of people as each and evry phase is communicated using phone calls which is not time efficient.</p>
    <p> Not only that, in normal system it is even difficult to make a list of remaining patients for whom the services need to be given or maintain the traffic in an efficient way.</p>
    <p> Hence, in order to overcome the above challenges and also if possible to remove the middle man who is the medical officer in the system, it is a best option to use web application for this use case. </p>
  </section>

  <hr/>

  <section>
    <h3>Evaluation of using online alternatives</h3>
    <p> There are similar platforms that offer tele consultation services such as healthtravellersworldwide.com, eSanjeevaniOPD
    - National Teleconsultation Service, Fortis- tele consultation, apollotelehealth.com and many more. But the use cases differ from one system to other system. </p>
    <p>Our system is mostly related to the tele consultation services provided by the healthtravellersworldwide application, whereas eSanjeevaniOPD requires patients to login and
    then queue the patients till their turn occurs and doctors are supposed to login to the system and accept the approval from patients according to their schedule and allot a slot for them. </p>
    <p> In Fortis tele-consultation patient  is supposed to select for the doctor by viewing his profile and request a call from the doctor,
    then the doctor is going to respond accordingly using email and phone no of the patient. </p>
    <br/> 
    <p> But, our system is different from existing ones, as this is being used by the receptionist. patients are going to make a call to this organisation and recptionist is going to 
      save the details of the patients.</p>
  </section>

  <hr/>

  <section>
    <h3>Magnet Content</h3>
    <p>
      The magnet content for our system is that being able to see patient data in real-time. In treating covid-19
      patient, it is important that all the stakeholder in system such as medical officer, doctors and team leader to
      get patient information as fast as possible because patient condition may escalate with time. Important decision
      such as giving treatment, supplying necessary equipment in time is needed to be made in order to save covid-19
      patient. To be able to do so, getting patient data in real-time is a must have feature in the system.
    </p>
  </section>

  <hr/>

  <section>
    <h3>Domain Name Registration</h3>
    <p>Domain name can be registered at many domain name service providers such as GoDaddy, Namecheap, Amazon Route 53, etc.</p>
    <p>Step 1: Find the domain you want</p>
    <%= image_tag 'search_domain_name.png', alt: 'Search New Domain Name' %>
    <br/>
    <br/>
    <p>Step 2: Pay for the Domain Name</p>
    <%= image_tag 'checkout_domain_name.png', alt: 'Checkout Domain Name' %>
    <br/>
    <br/>
    <p>Step 3: Redirect your Domain Name to Server's IP</p>
    <%= image_tag 'redirect_to_server.png', alt: 'Redirect to Server' %>
  </section>

  <hr/>

  <section>
    <h3>Hosting Plan</h3>
    <p>
      Currently negotiating with the NGO which is running the covid-19 response call center. They have IT infrastructure
      for running other services where we might be able to deploy our system too. If it is not possible to deploy on
      their local IT infrastructure, AWS cloud service will be our another choice because the information such as
      staff information, inventory information are very important, it is not suitable to handle the hosting by third party
      organization such as AIT CSIM. In this scenario, the NGO have to bear the cost of cloud service for the operation
      of the system and manage the cloud hosting service.
    </p>
  </section>

  <hr/>

  <section>
    <h3>Licensing</h3>
    <pre>
    Copyright (c) 2021 Aung Kaung Myat, Abhinav Asheesh Lugun, Vineela Mukkamala.

    This program is developed as a group project of the AIT Web Application Engineering course.
    Mr. Aung Kaung Myat, Mr. Abhinav Asheesh Lugun and Ms. Vineela Mukkamala are the developers,
    authors and contributors of this program. All rights reserved to Mr. Aung Kaung Myat,
    Mr. Abhinav Asheesh Lugun and Ms. Vineela Mukkamala.


    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see https://www.gnu.org/licenses/.
  </pre>
  </section>

  <hr/>

  <section>
    <h3>Dumps the Database Every Night Using Cron</h3>

    <p>Command to dump the postgresql database</p>
    <p class="text-center">
      <%= image_tag 'db_bkp_command.png', alt: 'command to dump postgresql database' %>
    </p>

    <br/>

    <p>Create cron job to run every day at 1 AM.</p>
    <p class="text-center">
      <%= image_tag 'cron_job.png', alt: 'cron job to backup database' %>
    </p>

    <br/>

    <p>Dump file of database.</p>
    <p class="text-center">
      <%= image_tag 'db_dump.png', alt: 'dump file of database' %>
    </p>
  </section>

  <hr/>

  <section>
    <h3>Code Integration Pipeline</h3>
    <p class="text-center">
      <%= image_tag 'pipeline.png', alt: 'code integration pipeline' %>
    </p>
  </section>
  <br/>
  <br/>
</div>